%global dlrn_nvr tripleo-validations-11.6.1.dev3-2.20210612074808.8644a02
%global dlrn 1
%define upstream_version 11.6.1.dev3
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver 3
%else
%global pyver 2
%endif

%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility

%{!?upstream_version: %global upstream_version %{version}}
%global upstream_name tripleo-validations
%global with_doc 0

Name:           openstack-tripleo-validations
Summary:        Ansible playbooks to detect potential issues with TripleO deployments
Version: 11.6.1
Release: 2.20210612074808.8644a02%{?dist}.1
License:        ASL 2.0
URL:            http://tripleo.org
Source0: tripleo-validations-11.6.1.dev3-2.20210612074808.8644a02.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=8644a02c70a1abec6298623d0734ed3d091c9886
Patch0001: 0001-DOWNSTREAM-ONLY-Fix-ceph_ansible_repo-var-default-va.patch

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-pbr
BuildRequires:  python%{pyver}-heatclient >= 1.10.0
BuildRequires:  python%{pyver}-glanceclient >= 2.9.1
BuildRequires:  python%{pyver}-ironicclient >= 2.3.0
%if %{pyver} == 2
Requires:       ansible >= 2
%else
Requires:       python3dist(ansible) >= 2
BuildRequires:  /usr/bin/pathfix.py
%endif
Requires:       python%{pyver}-pbr
Requires:       python%{pyver}-heatclient >= 1.10.0
Requires:       python%{pyver}-glanceclient >= 2.9.1
Requires:       python%{pyver}-ironicclient >= 2.3.0
Requires:       python%{pyver}-shade >= 1.24.0
Requires:       os-net-config >= 7.1.0
Requires:       python%{pyver}-ironic-inspector-client >= 3.1.1
Requires:       validations-common

%description
A collection of Ansible playbooks to detect and report potential issues during
TripleO deployments.

%package -n openstack-tripleo-validations-tests
Summary:        Tests for TripleO validations
Requires:       %{name} = %{version}-%{release}

BuildRequires:  python%{pyver}-heatclient
BuildRequires:  python%{pyver}-netaddr
BuildRequires:  python%{pyver}-novaclient
BuildRequires:  python%{pyver}-oslotest
BuildRequires:  python%{pyver}-subunit
BuildRequires:  python%{pyver}-swiftclient
BuildRequires:  python%{pyver}-testrepository
BuildRequires:  python%{pyver}-testscenarios
BuildRequires:  python%{pyver}-testtools
BuildRequires:  os-net-config
%if %{pyver} == 2
BuildRequires:  ansible >= 2
%else
BuildRequires:  python3dist(ansible) >= 2
%endif
BuildRequires:  openstack-macros

Requires:       python%{pyver}-subunit
Requires:       python%{pyver}-oslotest
Requires:       python%{pyver}-oslo-config >= 2:5.2.0
Requires:       python%{pyver}-oslo-utils >= 3.36.0
Requires:       python%{pyver}-heatclient >= 1.10.0
Requires:       python%{pyver}-keystoneauth1 >= 3.4.0
Requires:       python%{pyver}-mistralclient >= 3.1.0
Requires:       python%{pyver}-novaclient >= 1:9.1.0
Requires:       python%{pyver}-ironicclient >= 2.3.0
Requires:       python%{pyver}-six >= 1.10.0
Requires:       openstack-tripleo-common >= 7.1.0
Requires:       python%{pyver}-testrepository
Requires:       python%{pyver}-testscenarios
Requires:       python%{pyver}-testtools
Requires:       python%{pyver}-netaddr
Requires:       os-net-config >= 7.1.0
Requires:       python%{pyver}-shade >= 1.24.0
Requires:       python%{pyver}-ironic-inspector-client >= 3.1.1

%if %{pyver} == 2
Requires:       ansible >= 2
%else
Requires:       python3dist(ansible) >= 2
%endif

%description -n openstack-tripleo-validations-tests
This package contains the tripleo-validations test files.

%if 0%{?with_doc}
%package doc
Summary:          Documentation for OpenStack Tripleo Validations

BuildRequires:    python%{pyver}-sphinx
BuildRequires:    python%{pyver}-openstackdocstheme

%description      doc
This package contains the tripleo-validations Documentation files.
%endif

%prep
%autosetup -n %{upstream_name}-%{upstream_version} -S git

# Create __init__.py file if doesn't exit
%if %{pyver} == 2
touch library/__init__.py
%endif

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
%py_req_cleanup

%build
%{pyver_build}

# docs generation
%if 0%{?with_doc}
%{pyver_bin} setup.py build_sphinx -b html
%endif

%install
%{pyver_install}

# TODO remove this when https://review.opendev.org/#/c/740261/ merges
if [ ! -f "%{buildroot}%{_bindir}/tripleo-validation.py" ]; then
cat <<EOF >%{buildroot}%{_bindir}/tripleo-validation.py
#!/usr/bin/env python3
EOF
chmod 755 %{buildroot}%{_bindir}/tripleo-validation.py
fi

# Fix shebangs for Python 3-only distros
# TODO remove this when shebangs workaround will be fixed
if [ ! -d "%{buildroot}%{_datadir}/ansible" ]; then
mkdir -p %{buildroot}%{_datadir}/ansible/library
mkdir -p %{buildroot}%{_datadir}/ansible/lookup_plugins
mkdir -p %{buildroot}%{_datadir}/ansible/callback_plugins
mkdir -p %{buildroot}%{_datadir}/ansible/roles
fi
# TODO: to be removed
# Make compatible with old path openstack-tripleo-validation
if [ ! -d "%{buildroot}%{_datadir}/%{name}" ]; then
mkdir -p %{buildroot}%{_datadir}/%{name}/library
mkdir -p %{buildroot}%{_datadir}/%{name}/lookup_plugins
mkdir -p %{buildroot}%{_datadir}/%{name}/callback_plugins
mkdir -p %{buildroot}%{_datadir}/%{name}/roles
fi

%if %{pyver} == 3
# Fix shebangs for Python 3-only distros
# TODO remove this when shebangs workaround will be fixed
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/ansible/library/
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/ansible/lookup_plugins/
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/ansible/callback_plugins/
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/ansible/roles/
# Fix shebangs for Python 3-only distros
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/%{name}/library/
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/%{name}/lookup_plugins/
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/%{name}/callback_plugins/
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/%{name}/roles/
%endif

# Remove useless __init__.py file in library directory
# TODO:(gchamoul) Remove this once https://review.opendev.org/c/openstack/tripleo-validations/+/771797
# will be merged upstream.
rm -fr %{buildroot}%{_datadir}/ansible/library/__init__.py

%check
PYTHON=%{pyver_bin} %{pyver_bin} setup.py testr

%files
%license LICENSE
%doc README.rst AUTHORS ChangeLog
%{pyver_sitelib}/tripleo_validations
%{pyver_sitelib}/tripleo_validations-*.egg-info
%{_datadir}/%{name}
%{_datadir}/ansible
%{_bindir}/tripleo-ansible-inventory
%{_bindir}/run-validations.sh
%{_bindir}/tripleo-validation.py
%exclude %{python3_sitelib}/tripleo_validations/test*
%exclude %{_datadir}/ansible/library/__init__.py

%files -n openstack-tripleo-validations-tests
%license LICENSE
%{pyver_sitelib}/tripleo_validations/tests

%if 0%{?with_doc}
%files doc
%license LICENSE
%doc doc/build/html
%endif

%changelog
* Wed Jun 16 2021 CPaaS User <cpaas-ops@redhat.com> - 11.6.1-2.20210612074808.8644a02.1
- Bump release

* Sat Jun 12 2021 OSP Prod Chain <dev-null@redhat.com> 11.6.1-2.20210612074808.8644a02
- Update patches
- Remove the post-update groups.

* Wed Jun 09 2021 OSP Prod Chain <dev-null@redhat.com> 11.6.1-2.20210610004820.c83fa97
- Update patches
- Use validation_component for Standalone CI jobs

* Mon May 31 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.1-2.20210601024819.105de76
- Update patches
- [train-only] Set oc_container_cli for checks during ffu
- [train-only] Inventory doesn't contain admin password
- [train-only] Set container_client for checks during ffu

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.1-2.20210528135953.c906f18
- Update patches

* Thu May 20 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.1-2.20210521024806.c906f18
- Update patches
- [overcloud-service-status] Removing pre-upgrade
- Check for dangling images

* Thu May 13 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.1-2.20210514014812.20cfe96
- Update patches
- Add validation to check DockerInsecureRegistryAddress matches the UC hostname

* Wed May 12 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.1-2.20210513011229.fc9db3d
- Update patches
- Exposing default variables in playbook

* Sun May 09 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.1-2.20210510004807.07ffeb1
- Update patches
- Validation should use the public endpoint

* Thu Apr 29 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.1-2.20210430005850.7bb61c0
- Update patches
- More detail in arg validation

* Wed Apr 28 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.1-2.20210428175741.79bd3e6
- Update patches
- Make tls_everywhere validations compatible with ansible_facts
- Use a more targeted job for tripleo-validations

* Tue Apr 20 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.1-.20210421004738.e2011b3
- Update patches
- check-ram is not compat w/ upstream
- Fix set by merging two list without duplicate

* Tue Apr 20 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.0-1
- Update patches
- Use static inventory for component CI role and clean component list
- Add new tripleo-latest-packages-version playbook

* Mon Apr 19 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.0-1
- Update patches
- Add validation to verify undercloud.conf content.
- Add system encoding to pre-update stage.
- Add update roles on several validations.
- Add new Update validation groups.

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.0-1
- Update patches

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Introduce tox-ansible to tripleo-validations

* Sat Mar 20 2021 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Use the UBI8 image for testing

* Fri Mar 19 2021 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Remove linters dependency from content-provider in gate
- Fix molecule jobs after release of cryptography3.4

* Mon Mar 01 2021 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Optionally fail ceph-health if HEALTH_WARN

* Wed Feb 17 2021 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Introducing the overcloud-service-status role
- [autodoc] guessing converge playbook

* Tue Feb 09 2021 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches
- Restore layout.yaml file

* Mon Feb 08 2021 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches

* Fri Feb 05 2021 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Remove useless __init__.py file in library

* Wed Feb 03 2021 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- [train-only]Tox now checks proper upper constraints file

* Sat Jan 30 2021 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Generate inventory without any overcloud

* Tue Jan 26 2021 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Change path for validation Ansible files
- Add validation to verify the RHSM version.

* Mon Jan 25 2021 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches

* Thu Jan 21 2021 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Add tripleo-validations role for component testing
- Ensures script is executable

* Mon Jan 18 2021 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches

* Wed Jan 13 2021 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches

* Wed Jan 13 2021 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- replace max_fds with sysctl call

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Add tripleo-validation.py as script in setup.cfg

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches

* Fri Dec 04 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Add a validation to check the local.

* Wed Dec 02 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Fix conditionals/types in check_flavors and verify_profiles

* Fri Nov 27 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Validation collect-flavors-and-verify-profiles bug

* Wed Nov 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Remove callback plugin from tripleo-validation
- Remove objects migrated to validations-common
- Use the default flavor name when flavor parameter is not defined

* Tue Nov 03 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Optimize container_cli usage by mysql-open-files-limit validation

* Mon Nov 02 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Refactor vif plugging validations

* Wed Oct 28 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Remove ceph-pg from openstack tripleo validator run groups

* Tue Oct 27 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- [train and before] Define default firewall_driver value

* Sat Oct 24 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Add TripleO validation CLI script

* Fri Oct 23 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- fix mixed up molecule tests

* Thu Oct 22 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- [train] Switch to content provider jobs/templates

* Sat Oct 10 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Correct how the image_serve validation works

* Fri Oct 09 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- New validation: Ensure sVirt is active

* Thu Oct 01 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches

* Wed Sep 16 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Convert all of the fedora28 container usage to CentOS8
- Migrate molecule jobs from centos 7 to 8
- Add validation to check status of ipa server
- Corrected work directory for validate-selinux

* Thu Sep 10 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Convert all of the fedora28 container usage to CentOS8
- Migrate molecule jobs from centos 7 to 8
- Add validation to check status of ipa server
- Corrected work directory for validate-selinux
- Convert all of the fedora28 container usage to CentOS8
- Migrate molecule jobs from centos 7 to 8
- Add validation to check status of ipa server
- Corrected work directory for validate-selinux

* Thu Sep 10 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Convert all of the fedora28 container usage to CentOS8

* Wed Sep 09 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Migrate molecule jobs from centos 7 to 8

* Wed Sep 09 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Add validation to check status of ipa server
- Corrected work directory for validate-selinux

* Sat Sep 05 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Switch install-docker with ensure-docker

* Wed Sep 02 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Add new Upgrades validation groups.
- Add os-cloud support for tripleo-ansible-inventory script
- Allows to use custom role name for validations

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Get UUID from ansible environment variables

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Add os-cloud support for tripleo-ansible-inventory script
- Get UUID from ansible environment variables
- Add os-cloud support for tripleo-ansible-inventory script
- Get UUID from ansible environment variables

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Add os-cloud support for tripleo-ansible-inventory script

* Tue Aug 25 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Get UUID from ansible environment variables

* Wed Aug 19 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Updated "overcloud" to "allovercloud" group

* Fri Aug 07 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Fix neutron_sanity_check for ML2/OVS overcloud

* Mon Aug 03 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Make Get OSD stat percentage compatible with jq < 1.5

* Sat Aug 01 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Port jobs from centos7 to centos8

* Fri Jul 31 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Ensure virtualenv is installed.

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches

* Fri Jul 17 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Make Get OSD stat percentage compatible with both Luminous and Nautilus

* Fri Jul 17 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Fix ceph-ansible permissions when checking the repo name

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches

* Fri Jun 12 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Don't write playbook stats in binary mode

* Fri Jun 12 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- remove non-voting ceph validation from gate

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Update Ceph role's Get OSD stat to use new data structure

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches

* Thu Jun 11 2020 Giulio Fidente <gfidente@redhat.com> 11.3.2-0.20200512143424.aeea5d7
- Update Ceph role's Get OSD stat to use new data structure (rhbz#1845079)

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Improve the ceph-ansible repository error message

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Introducing tripleo_delegate_to on ceph health validation

* Wed May 06 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Remove fwaas_driver.ini from neutron sanity checks

* Wed Apr 15 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Fix multistack inventory
- tripleo-validations failing on lower constraints

* Wed Mar 18 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Don't validate token_flush for non-persistent token formats

* Thu Mar 12 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Skeleton role, get with the decade

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Add basic molecule tests for uncovered roles

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Add custom ansible-lint rule for Role Names

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- [DOWNSTREAM-ONLY] Fix ceph_ansible_repo var default value (rhbz#1805733)
- Adds Search Path Override
- tripleo-validations failing on lower constraints

* Tue Feb 18 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Remove default ansible option in test runs
- Make groups documentation part dynamic
- Add pre/post ceph validation groups
- Fix upper and lower constraints
- Better task name and loop control
- Delete healthcheck-service-status role
- Normalize role names when generating roles
- molecule-xfs_check_ftypefailure (non-voting), remove from gate
- Replace all references to the old role name
- Adds basic molecule testing for ceph validations

* Thu Feb 06 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- zuul: all functional jobs now depend on linter job first

* Tue Jan 28 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Validate the playboooks metadata structure

* Mon Jan 27 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- New validation: validate-selinux

* Sun Jan 26 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Remove the useless environment variable.
- Removed workaround for ansible-lint issue
- Stop testing python2.7

* Sat Jan 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Add new validation_json callback

* Thu Jan 09 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Merge "Introduce Ceph placement group validation" into stable/train
- Introduce Ceph placement group validation

* Wed Jan 08 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Fix ceph-ansible repo check

* Tue Jan 07 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches

* Tue Dec 24 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Add an additional validation to check ceph-ansible repository" into stable/train
- Add an additional validation to check ceph-ansible repository

* Fri Dec 20 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Add a validation to fail if a Ceph dependency is not installed

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Rename custom "ini" module to "validations_read_ini"

* Fri Nov 15 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Add groups.yaml containing Validation Groups definition

* Mon Nov 04 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Avoid failure if dhcp_end or dhcp_start isn't set

* Mon Oct 28 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Add forgotten reportentry module in the documentation

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Update .gitreview for stable/train" into stable/train
- Update .gitreview for stable/train

* Wed Oct 23 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Set validation defaults to match undercloud default settings

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Fix Molecule tests
- Add workaround for the ansible-lint installation failure

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Hide sensitive data from Ansible run and logging"
- Use dynamic argument_spec from documentation
- Hide sensitive data from Ansible run and logging

* Tue Oct 15 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix Ironic Authentication exception

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix missing closing parenthesis in skeleton role"
- Fix ost-tox-lower-constraints job indentation
- Fix missing closing parenthesis in skeleton role

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix Python 3 incompatibility in tripleo-ansible-inventory"
- Fix Python 3 incompatibility in tripleo-ansible-inventory


